#CC-RL Compiler RL78 Assembler Source
#@  CC-RL Version : V1.05.00 [26 May 2017]
#@  Commmand :
#@   -cpu=S3
#@   -obj_path=.\obj\
#@   -asm_path=.\obj\
#@   -dev=C:\Program Files (x86)\Renesas Electronics\Applilet EZ PL for RL78 V2.20\Tools\BIN\..\..\Tools\DEV\DR5F1058A.DVF
#@   -c
#@   -I C:\Program Files (x86)\Renesas Electronics\CS+\CC\CC-RL\V1.05.00\inc,.\include
#@   -Osize
#@   -pass_source
#@   src\panel.c
#@  compiled at Tue Jun 19 17:36:26 2018

	.PUBLIC _dtc_vectortable
	.PUBLIC _dtc_controldata
	.PUBLIC _I_02
	.PUBLIC _I_03
	.PUBLIC _I_04
	.PUBLIC _I_05
	.PUBLIC _I_06
	.PUBLIC _I_07
	.PUBLIC _I_08
	.PUBLIC _I_09
	.PUBLIC _I_10
	.PUBLIC _I_11
	.PUBLIC _F0210
	.PUBLIC _F0211
	.PUBLIC _F0212
	.PUBLIC _F0213
	.PUBLIC _F0214
	.PUBLIC _F0215
	.PUBLIC _F0216
	.PUBLIC _F0217
	.PUBLIC _F0302
	.PUBLIC _F0303
	.PUBLIC _F0304
	.PUBLIC _F0403
	.PUBLIC _F0903
	.PUBLIC _F0905
	.PUBLIC _panel_init0
	.EXTERN _ADC_init
	.EXTERN _COMP_Initialize
	.PUBLIC _panel
	.EXTERN _ADC_Get
	.EXTERN _ADC_Bit
	.EXTERN _COMP_Set
	.EXTERN _COMP_Proc
	.EXTERN _ORF
	.EXTERN _MOV1_
	.EXTERN _STANDBY01_exec
	.EXTERN _DGOUT_setValue

	.SECTION .textf,TEXTF
_panel_init0:
	.STACK _panel_init0 = 4
	;***        1 : /*******************************************************************************
	;***        2 : * DISCLAIMER
	;***        3 : * This software is supplied by Renesas Electronics Corporation and is only
	;***        4 : * intended for use with Renesas products. No other uses are authorized. This
	;***        5 : * software is owned by Renesas Electronics Corporation and is protected under
	;***        6 : * all applicable laws, including copyright laws.
	;***        7 : * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
	;***        8 : * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
	;***        9 : * LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
	;***       10 : * AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
	;***       11 : * TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
	;***       12 : * ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
	;***       13 : * FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
	;***       14 : * ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
	;***       15 : * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
	;***       16 : * Renesas reserves the right, without notice, to make changes to this software
	;***       17 : * and to discontinue the availability of this software. By using this software,
	;***       18 : * you agree to the additional terms and conditions found by accessing the
	;***       19 : * following link:
	;***       20 : * http://www.renesas.com/disclaimer
	;***       21 : *
	;***       22 : * Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
	;***       23 : *******************************************************************************/
	;***       24 : 
	;***       25 : /*******************************************************************************
	;***       26 : * File Name    : panel.c
	;***       27 : * Version      : Applilet EZ PL for RL78
	;***       28 : * Device(s)    : R5F1056A,R5F1057A,R5F1058A
	;***       29 : * Tool-Chain   : CC-RL
	;***       30 : * Description  : This file implements main function.
	;***       31 : * Creation Date: 2016/09/14
	;***       32 : *******************************************************************************/
	;***       33 : 
	;***       34 : /*******************************************************************************
	;***       35 : Includes <System Includes> , "Project Includes"
	;***       36 : *******************************************************************************/
	;***       37 : #include "sfr.h"
	;***       38 : #include "common.h"
	;***       39 : #include "config.h"
	;***       40 : #include "panel.h"
	;***       41 : 
	;***       42 : /*******************************************************************************
	;***       43 : Exported global variables and functions (to be accessed by other files)
	;***       44 : *******************************************************************************/
	;***       45 : #if defined DTC_USED || defined STANDBY_USED
	;***       46 : #pragma address dtc_vectortable = VECTOR_ADDRESS
	;***       47 : UCHAR __near dtc_vectortable[40];
	;***       48 : #pragma address dtc_controldata = CONTROLDATA_ADDRESS
	;***       49 : ST_DTC_DATA __near dtc_controldata[24];
	;***       50 : #endif /*DTC_USED || STANDBY_USED*/
	;***       51 : /*--- Variable declaration ---*/
	;***       52 : 	UCHAR I_02;
	;***       53 : 	UCHAR I_03;
	;***       54 : 	UCHAR I_04;
	;***       55 : 	UCHAR I_05;
	;***       56 : 	UCHAR I_06;
	;***       57 : 	UCHAR I_07;
	;***       58 : 	UCHAR I_08;
	;***       59 : 	UCHAR I_09;
	;***       60 : 	UCHAR I_10;
	;***       61 : 	UCHAR I_11;
	;***       62 : 	UCHAR F0210 = 0;
	;***       63 : 	UCHAR F0211 = 0;
	;***       64 : 	UCHAR F0212 = 0;
	;***       65 : 	UCHAR F0213 = 0;
	;***       66 : 	UCHAR F0214 = 0;
	;***       67 : 	UCHAR F0215 = 0;
	;***       68 : 	UCHAR F0216 = 0;
	;***       69 : 	UCHAR F0217 = 0;
	;***       70 : 	UCHAR F0302 = 0;
	;***       71 : 	UCHAR F0303 = 0;
	;***       72 : 	UCHAR F0304 = 0;
	;***       73 : 	UCHAR F0403 = 0;
	;***       74 : 	UCHAR F0903 = 0;
	;***       75 : 	UCHAR F0905 = 0;
	;***       76 : 
	;***       77 : /*----------------------------*/
	;***       78 : 
	;***       79 : void panel_init0(void)
	;***       80 : {
	;***       81 : 
	;***       82 : 	ADC_INIT0( TRIGGER_SOFTWARE, 129 );
	movw ax, #0x0081
	call !!_ADC_init
	;***       83 : 	COMP_INIT0;
	br !!_COMP_Initialize
_panel:
	.STACK _panel = 12
	;***       84 : }
	;***       85 : 
	;***       86 : void panel(void)
	subw sp, #0x04
	;***       87 : {
	;***       88 : 
	;***       89 : 	ADC_PROC( TRIGGER_SOFTWARE, 129 );
	movw ax, #0x0081
	call !!_ADC_Get
	;***       90 : 	ADC_OUT( 9, I_02 );
	mov a, #0x09
	call !!_ADC_Bit
	mov !LOWW(_I_02), a
	;***       91 : 	ADC_OUT( 8, I_03 );
	mov a, #0x08
	call !!_ADC_Bit
	mov !LOWW(_I_03), a
	;***       92 : 	ADC_OUT( 7, I_04 );
	mov a, #0x07
	call !!_ADC_Bit
	mov !LOWW(_I_04), a
	;***       93 : 	ADC_OUT( 6, I_05 );
	mov a, #0x06
	call !!_ADC_Bit
	mov !LOWW(_I_05), a
	;***       94 : 	ADC_OUT( 5, I_06 );
	mov a, #0x05
	call !!_ADC_Bit
	mov !LOWW(_I_06), a
	;***       95 : 	ADC_OUT( 4, I_07 );
	mov a, #0x04
	call !!_ADC_Bit
	mov !LOWW(_I_07), a
	;***       96 : 	ADC_OUT( 3, I_08 );
	mov a, #0x03
	call !!_ADC_Bit
	mov !LOWW(_I_08), a
	;***       97 : 	ADC_OUT( 2, I_09 );
	mov a, #0x02
	call !!_ADC_Bit
	mov !LOWW(_I_09), a
	;***       98 : 	ADC_OUT( 1, I_10 );
	oneb a
	call !!_ADC_Bit
	mov !LOWW(_I_10), a
	;***       99 : 	ADC_OUT( 0, I_11 );
	clrb a
	call !!_ADC_Bit
	mov !LOWW(_I_11), a
	;***      100 : 	COMP_PARAM( I_02,I_03,I_04,I_05,I_06,I_07,I_08,I_09 );
	mov a, !LOWW(_I_09)
	shrw ax, 8+0x00000
	push ax
	mov a, !LOWW(_I_08)
	shrw ax, 8+0x00000
	push ax
	mov a, !LOWW(_I_07)
	mov d, a
	mov a, !LOWW(_I_06)
	mov e, a
	mov b, !LOWW(_I_05)
	mov c, !LOWW(_I_04)
	mov x, !LOWW(_I_03)
	mov a, !LOWW(_I_02)
	call !!_COMP_Set
	addw sp, #0x04
	clrw ax
	;***      101 : 	COMP_PARAM( fON,fON,fOFF,fOFF,fON,fON,fON,fOFF );
	push ax
	onew ax
	push ax
	movw de, #0x0101
	clrw bc
	oneb x
	oneb a
	call !!_COMP_Set
	addw sp, #0x04
	movw ax, sp
	;***      102 : 	COMP_PROC( F0302,F0303,F0304 );
	mov [sp+0x01], #0x00
	mov [sp+0x02], #0x00
	mov [sp+0x00], #0x00
	movw de, ax
	incw ax
	incw ax
	movw bc, ax
	decw ax
	call !!_COMP_Proc
	mov a, [sp+0x01]
	and a, #0x01
	mov b, a
	mov !LOWW(_F0302), a
	mov a, [sp+0x02]
	and a, #0x01
	mov x, a
	mov !LOWW(_F0303), a
	mov a, [sp+0x00]
	and a, #0x01
	mov !LOWW(_F0304), a
	;***      103 : 	OR_PROC( F0302,F0303, F0403 );
	mov a, b
	call !!_ORF
	and a, #0x01
	mov !LOWW(_F0403), a
	;***      104 : 	F0903 = MOV1_( F0403 );
	call !!_MOV1_
	mov !LOWW(_F0903), a
	;***      105 : 	F0905 = MOV1_( F0403 );
	mov a, !LOWW(_F0403)
	call !!_MOV1_
	mov !LOWW(_F0905), a
	;***      106 : 	STANDBY01( STANDBY_MODE_STOP, FACTOR_INTP0, FALLING, F0905 );
	mov b, a
	mov c, #0x02
	clrw ax
	call !!_STANDBY01_exec
	;***      107 : 	DGOUT_PROC( 56, F0903, HIGH );
	mov x, !LOWW(_F0903)
	oneb c
	mov a, #0x38
	call !!_DGOUT_setValue
	addw sp, #0x04
	ret
	;***      108 : }
	.SECTION .bss,BSS
	.ORG 0xFF900
_dtc_vectortable:
	.DS (40)
	.SECTION .bss,BSS
	.ORG 0xFF940
_dtc_controldata:
	.DS (192)
	.SECTION .bss,BSS
_I_02:
	.DS (1)
_I_03:
	.DS (1)
_I_04:
	.DS (1)
_I_05:
	.DS (1)
_I_06:
	.DS (1)
_I_07:
	.DS (1)
_I_08:
	.DS (1)
_I_09:
	.DS (1)
_I_10:
	.DS (1)
_I_11:
	.DS (1)
	.SECTION .data,DATA
_F0210:
	.DS (1)
_F0211:
	.DS (1)
_F0212:
	.DS (1)
_F0213:
	.DS (1)
_F0214:
	.DS (1)
_F0215:
	.DS (1)
_F0216:
	.DS (1)
_F0217:
	.DS (1)
_F0302:
	.DS (1)
_F0303:
	.DS (1)
_F0304:
	.DS (1)
_F0403:
	.DS (1)
_F0903:
	.DS (1)
_F0905:
	.DS (1)
