#CC-RL Compiler RL78 Assembler Source
#@  CC-RL Version : V1.05.00 [26 May 2017]
#@  Commmand :
#@   -cpu=S3
#@   -obj_path=.\obj\
#@   -asm_path=.\obj\
#@   -dev=C:\Program Files (x86)\Renesas Electronics\Applilet EZ PL for RL78 V2.20\Tools\BIN\..\..\Tools\DEV\DR5F1058A.DVF
#@   -c
#@   -I C:\Program Files (x86)\Renesas Electronics\CS+\CC\CC-RL\V1.05.00\inc,.\include
#@   -Osize
#@   -pass_source
#@   src\standbyinit.c
#@  compiled at Tue Jun 19 17:36:26 2018

	.PUBLIC _STANDBY_init
	.EXTERN _ADC_init

	.SECTION .textf,TEXTF
_STANDBY_init:
	.STACK _STANDBY_init = 4
	;***        1 : /*******************************************************************************
	;***        2 : * DISCLAIMER
	;***        3 : * This software is supplied by Renesas Electronics Corporation and is only
	;***        4 : * intended for use with Renesas products. No other uses are authorized. This
	;***        5 : * software is owned by Renesas Electronics Corporation and is protected under
	;***        6 : * all applicable laws, including copyright laws.
	;***        7 : * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
	;***        8 : * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
	;***        9 : * LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
	;***       10 : * AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
	;***       11 : * TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
	;***       12 : * ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
	;***       13 : * FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
	;***       14 : * ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
	;***       15 : * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
	;***       16 : * Renesas reserves the right, without notice, to make changes to this software
	;***       17 : * and to discontinue the availability of this software. By using this software,
	;***       18 : * you agree to the additional terms and conditions found by accessing the
	;***       19 : * following link:
	;***       20 : * http://www.renesas.com/disclaimer
	;***       21 : *
	;***       22 : * Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
	;***       23 : *******************************************************************************/
	;***       24 : 
	;***       25 : /*******************************************************************************
	;***       26 : * File Name    : standbyinit.c
	;***       27 : * Version      : Applilet EZ PL for RL78
	;***       28 : * Device(s)    : R5F1056A,R5F1057A,R5F1058A
	;***       29 : * Tool-Chain   : CC-RL
	;***       30 : * Description  : This file implements the function of Standby return initializing.
	;***       31 : * Creation Date: 2016/09/14
	;***       32 : *******************************************************************************/
	;***       33 : 
	;***       34 : /*******************************************************************************
	;***       35 : Includes <System Includes> , "Project Includes"
	;***       36 : *******************************************************************************/
	;***       37 : #include "sfr.h"
	;***       38 : #include "common.h"
	;***       39 : #include "config.h"
	;***       40 : #include "standbyinit.h"
	;***       41 : 
	;***       42 : #ifdef ELC_USED
	;***       43 : #include "elc.h"
	;***       44 : #endif
	;***       45 : 
	;***       46 : #ifdef DTC_USED
	;***       47 : #include "dtc.h"
	;***       48 : #endif
	;***       49 : 
	;***       50 : #ifdef ANI3_USED
	;***       51 : #include "adcmp.h"
	;***       52 : #endif
	;***       53 : 
	;***       54 : /*******************************************************************************
	;***       55 : Macro definitions
	;***       56 : *******************************************************************************/
	;***       57 : 
	;***       58 : /*******************************************************************************
	;***       59 : Typedef definitions
	;***       60 : *******************************************************************************/
	;***       61 : 
	;***       62 : /*******************************************************************************
	;***       63 : Imported global variables and functions (from other files)
	;***       64 : *******************************************************************************/
	;***       65 : 
	;***       66 : /*******************************************************************************
	;***       67 : Exported global variables and functions (to be accessed by other files)
	;***       68 : *******************************************************************************/
	;***       69 : 
	;***       70 : /*******************************************************************************
	;***       71 : Private variables and functions
	;***       72 : *******************************************************************************/
	;***       73 : 
	;***       74 : /*******************************************************************************
	;***       75 : * Function Name: STANDBY_init
	;***       76 : * Description  : Run mode initializing.
	;***       77 : * Arguments    : none
	;***       78 : * Return Value : none
	;***       79 : ********************************************************************************/
	;***       80 : 
	;***       81 : void STANDBY_init( void )
	;***       82 : {
	;***       83 : 	ADC_INIT0( TRIGGER_SOFTWARE, 129 );
	movw ax, #0x0081
	br !!_ADC_init
	;***       84 : }
	;***       85 : 
