#CC-RL Compiler RL78 Assembler Source
#@  CC-RL Version : V1.05.00 [26 May 2017]
#@  Commmand :
#@   -cpu=S3
#@   -obj_path=.\obj\
#@   -asm_path=.\obj\
#@   -dev=C:\Program Files (x86)\Renesas Electronics\Applilet EZ PL for RL78 V2.20\Tools\BIN\..\..\Tools\DEV\DR5F1058A.DVF
#@   -c
#@   -I C:\Program Files (x86)\Renesas Electronics\CS+\CC\CC-RL\V1.05.00\inc,.\include
#@   -Osize
#@   -pass_source
#@   src\comp.c
#@  compiled at Tue Jun 19 17:36:28 2018

	.PUBLIC _COMP_Set
	.PUBLIC _COMP_Proc
	.PUBLIC _COMP_Initialize

	.SECTION .textf,TEXTF
_COMP_Set:
	.STACK _COMP_Set = 6
	;***        1 : /*******************************************************************************
	;***        2 : * DISCLAIMER
	;***        3 : * This software is supplied by Renesas Electronics Corporation and is only
	;***        4 : * intended for use with Renesas products. No other uses are authorized. This
	;***        5 : * software is owned by Renesas Electronics Corporation and is protected under
	;***        6 : * all applicable laws, including copyright laws.
	;***        7 : * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
	;***        8 : * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
	;***        9 : * LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
	;***       10 : * AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
	;***       11 : * TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
	;***       12 : * ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
	;***       13 : * FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
	;***       14 : * ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
	;***       15 : * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
	;***       16 : * Renesas reserves the right, without notice, to make changes to this software
	;***       17 : * and to discontinue the availability of this software. By using this software,
	;***       18 : * you agree to the additional terms and conditions found by accessing the
	;***       19 : * following link:
	;***       20 : * http://www.renesas.com/disclaimer
	;***       21 : *
	;***       22 : * Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
	;***       23 : *******************************************************************************/
	;***       24 : 
	;***       25 : /*******************************************************************************
	;***       26 : * File Name    : comp.c
	;***       27 : * Version      : Applilet EZ PL for RL78
	;***       28 : * Device(s)    : R5F1056A,R5F1057A,R5F1058A
	;***       29 : * Tool-Chain   : CC-RL
	;***       30 : * Description  : This file implements main function.
	;***       31 : * Creation Date: 2016/09/14
	;***       32 : *******************************************************************************/
	;***       33 : 
	;***       34 : /*******************************************************************************
	;***       35 : Includes <System Includes> , "Project Includes"
	;***       36 : *******************************************************************************/
	;***       37 : #include "sfr.h"
	;***       38 : #include "common.h"
	;***       39 : #include "config.h"
	;***       40 : #include "comp.h"
	;***       41 : 
	;***       42 : #if defined COMP_USED
	;***       43 : /*******************************************************************************
	;***       44 : Macro definitions
	;***       45 : *******************************************************************************/
	;***       46 : 
	;***       47 : /*******************************************************************************
	;***       48 : Typedef definitions
	;***       49 : *******************************************************************************/
	;***       50 : 
	;***       51 : /*******************************************************************************
	;***       52 : Imported global variables and functions (from other files)
	;***       53 : *******************************************************************************/
	;***       54 : 
	;***       55 : /*******************************************************************************
	;***       56 : Exported global variables and functions (to be accessed by other files)
	;***       57 : *******************************************************************************/
	;***       58 : 
	;***       59 : /*******************************************************************************
	;***       60 : Private variables and functions
	;***       61 : *******************************************************************************/
	;***       62 : static UCHAR	ucgCOMP_Val[2] = {0, 0};
	;***       63 : static UCHAR	ucgCOMP_Cnt = 0;
	;***       64 : 
	;***       65 : /*******************************************************************************
	;***       66 : * Function Name: COMP_Set
	;***       67 : * Description  : COMPARATOR panel parameter setting.
	;***       68 : * Arguments    : In7    	... ON/OFF
	;***       69 : *                In6 	... ON/OFF
	;***       70 : *                In5 	... ON/OFF
	;***       71 : *                In4 	... ON/OFF
	;***       72 : *                In3 	... ON/OFF
	;***       73 : *                In2 	... ON/OFF
	;***       74 : *                In1 	... ON/OFF
	;***       75 : *                In0 	... ON/OFF
	;***       76 : * Return Value : none
	;***       77 : ********************************************************************************/
	;***       78 : void COMP_Set( UCHAR In7, UCHAR In6, UCHAR In5, UCHAR In4, UCHAR In3, UCHAR In2, UCHAR In1, UCHAR In0 )
	push hl
	mov h, a
	;***       79 : {
	;***       80 : 	UCHAR ucVal;
	;***       81 : 	ucVal = ((In7 & 0x01)<<7) | ((In6 & 0x01)<<6) | ((In5 & 0x01)<<5) | ((In4 & 0x01)<<4) |
	;***       82 : 			((In3 & 0x01)<<3) | ((In2 & 0x01)<<2) | ((In1 & 0x01)<<1) | (In0 & 0x01);   
	;***       83 : 	
	;***       84 : 	if(ucgCOMP_Cnt < 2){
	mov a, !LOWW(_ucgCOMP_Cnt@2)
	mov [sp+0x00], a
	cmp a, #0x02
	mov a, [sp+0x08]
	mov l, a
	bnc $.BB@LABEL@1_2
.BB@LABEL@1_1:	; if_then_bb
	mov a, h
	shl a, 0x07
	mov h, a
	mov a, x
	mov1 CY, a.0
	mov a, h
	mov1 a.6, CY
	mov x, a
	mov a, c
	mov1 CY, a.0
	mov a, x
	mov1 a.5, CY
	mov x, a
	mov a, b
	mov1 CY, a.0
	mov a, x
	mov1 a.4, CY
	mov x, a
	mov a, e
	mov1 CY, a.0
	mov a, x
	mov1 a.3, CY
	mov x, a
	mov a, d
	mov1 CY, a.0
	mov a, x
	mov1 a.2, CY
	mov b, a
	mov a, [sp+0x06]
	add a, a
	and a, #0x02
	mov c, a
	mov a, l
	and a, #0x01
	mov x, a
	mov a, b
	or a, x
	mov x, a
	mov a, [sp+0x00]
	mov b, a
	mov a, x
	or a, c
	;***       85 : 		ucgCOMP_Val[ucgCOMP_Cnt] = ucVal;
	mov LOWW(_ucgCOMP_Val@1)[b], a
	;***       86 : 		ucgCOMP_Cnt ++;
	inc b
	mov a, b
	mov !LOWW(_ucgCOMP_Cnt@2), a
.BB@LABEL@1_2:	; return
	pop hl
	ret
_COMP_Proc:
	.STACK _COMP_Proc = 6
	;***       87 : 	}
	;***       88 : }
	;***       89 : 
	;***       90 : /*******************************************************************************
	;***       91 : * Function Name: COMP_Proc
	;***       92 : * Description  : COMPARATOR panel compare processing.
	;***       93 : * Arguments    : Big    	... OutBig-terminal status
	;***       94 : *                Equal 	... OutEqual-terminal status
	;***       95 : *                Small 	... OutSmall-terminal status
	;***       96 : * Return Value : none
	;***       97 : ********************************************************************************/
	;***       98 : void COMP_Proc( UCHAR* Big, UCHAR* Equal, UCHAR* Small )
	push bc
	movw hl, ax
	;***       99 : {
	;***      100 : 	if(ucgCOMP_Val[0] > ucgCOMP_Val[1]){
	mov x, !LOWW(_ucgCOMP_Val@1+0x00001)
	mov a, !LOWW(_ucgCOMP_Val@1)
	cmp a, x
	bnh $.BB@LABEL@2_2
.BB@LABEL@2_1:	; if_then_bb
	;***      101 : 		*Big = HIGH;
	mov [hl+0x00], #0x01
	pop hl
	push hl
	;***      102 : 		*Equal = LOW;
	mov [hl+0x00], #0x00
	br $.BB@LABEL@2_6
.BB@LABEL@2_2:	; if_else_bb
	;***      103 : 		*Small = LOW;
	;***      104 : 
	;***      105 : 	}else if(ucgCOMP_Val[0] < ucgCOMP_Val[1]){
	cmp a, x
	bnc $.BB@LABEL@2_4
.BB@LABEL@2_3:	; if_then_bb16
	;***      106 : 		*Big = LOW;
	mov [hl+0x00], #0x00
	pop hl
	push hl
	;***      107 : 		*Equal = LOW;
	mov [hl+0x00], #0x00
	;***      108 : 		*Small = HIGH;
	mov [de+0x00], #0x01
	br $.BB@LABEL@2_7
.BB@LABEL@2_4:	; if_else_bb20
	;***      109 : 		
	;***      110 : 	}else if(ucgCOMP_Val[0] == ucgCOMP_Val[1]){
	cmp a, x
	bnz $.BB@LABEL@2_7
.BB@LABEL@2_5:	; if_then_bb29
	;***      111 : 		*Big = LOW;
	mov [hl+0x00], #0x00
	pop hl
	push hl
	;***      112 : 		*Equal = HIGH;
	mov [hl+0x00], #0x01
.BB@LABEL@2_6:	; if_then_bb29
	mov [de+0x00], #0x00
.BB@LABEL@2_7:	; if_break_bb34
	;***      113 : 		*Small = LOW;
	;***      114 : 	}
	;***      115 : 
	;***      116 : 	ucgCOMP_Cnt = 0;
	clrb !LOWW(_ucgCOMP_Cnt@2)
	;***      117 : 	ucgCOMP_Val[0] = 0;
	clrb !LOWW(_ucgCOMP_Val@1)
	;***      118 : 	ucgCOMP_Val[1] = 0;
	clrb !LOWW(_ucgCOMP_Val@1+0x00001)
	pop hl
	ret
_COMP_Initialize:
	.STACK _COMP_Initialize = 4
	;***      119 : }
	;***      120 : 
	;***      121 : /*******************************************************************************
	;***      122 : * Function Name: COMP_Initialize
	;***      123 : * Description  : COMPARATOR panel initialized.
	;***      124 : * Arguments    : none
	;***      125 : * Return Value : none
	;***      126 : ********************************************************************************/
	;***      127 : void COMP_Initialize( void )
	;***      128 : {
	;***      129 : 	ucgCOMP_Cnt = 0;
	clrb !LOWW(_ucgCOMP_Cnt@2)
	ret
	;***      130 : }
	;***      131 : #endif /* end of defined COMP_USED */
	;***      132 : 
	.SECTION .data,DATA
_ucgCOMP_Val@1:
	.DS (2)
_ucgCOMP_Cnt@2:
	.DS (1)
