#CC-RL Compiler RL78 Assembler Source
#@  CC-RL Version : V1.05.00 [26 May 2017]
#@  Commmand :
#@   -cpu=S3
#@   -obj_path=.\obj\
#@   -asm_path=.\obj\
#@   -dev=C:\Program Files (x86)\Renesas Electronics\Applilet EZ PL for RL78 V2.20\Tools\BIN\..\..\Tools\DEV\DR5F1058A.DVF
#@   -c
#@   -I C:\Program Files (x86)\Renesas Electronics\CS+\CC\CC-RL\V1.05.00\inc,.\include
#@   -Osize
#@   -pass_source
#@   src\standbycommon.c
#@  compiled at Tue Jun 19 17:36:27 2018

	.PUBLIC _usDODSR_init
	.PUBLIC _usDODSR_max_init
	.PUBLIC _ucDOCR_add_init
	.PUBLIC _ucDOCR_sub_init
	.PUBLIC _usDOC_sub_result
	.PUBLIC _ucADM2_snooze_off
	.PUBLIC _ucADM2_snooze_on
	.PUBLIC _usADC_Result
	.PUBLIC _ucgTE0
	.PUBLIC _usgSCR00
	.PUBLIC _usgSCR01
	.PUBLIC _usgSCR02
	.PUBLIC _usgSCR03
	.PUBLIC _usgMK0
	.PUBLIC _usgMK1
	.PUBLIC _usgMK2
	.PUBLIC _ucgEGP0
	.PUBLIC _ucgEGN0
	.PUBLIC _ucgEGP1
	.PUBLIC _ucgEGN1
	.PUBLIC _FLASHMODE_set_rower
	.PUBLIC _switch_flashmode_to_LS
	.PUBLIC _switch_flashmode_to_LP
	.PUBLIC _change_operation_clock
	.PUBLIC _FLASHMODE_return_beginning
	.PUBLIC _standby_before_state_save
	.PUBLIC _standby_after_state_return

	.SECTION .textf,TEXTF
_FLASHMODE_set_rower:
	.STACK _FLASHMODE_set_rower = 4
	;***        1 : /*******************************************************************************
	;***        2 : * DISCLAIMER
	;***        3 : * This software is supplied by Renesas Electronics Corporation and is only
	;***        4 : * intended for use with Renesas products. No other uses are authorized. This
	;***        5 : * software is owned by Renesas Electronics Corporation and is protected under
	;***        6 : * all applicable laws, including copyright laws.
	;***        7 : * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
	;***        8 : * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
	;***        9 : * LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
	;***       10 : * AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
	;***       11 : * TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
	;***       12 : * ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
	;***       13 : * FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
	;***       14 : * ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
	;***       15 : * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
	;***       16 : * Renesas reserves the right, without notice, to make changes to this software
	;***       17 : * and to discontinue the availability of this software. By using this software,
	;***       18 : * you agree to the additional terms and conditions found by accessing the
	;***       19 : * following link:
	;***       20 : * http://www.renesas.com/disclaimer
	;***       21 : *
	;***       22 : * Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
	;***       23 : *******************************************************************************/
	;***       24 : 
	;***       25 : /*******************************************************************************
	;***       26 : * File Name    : standbycommon.c
	;***       27 : * Version      : Applilet EZ PL for RL78
	;***       28 : * Device(s)    : R5F1056A,R5F1057A,R5F1058A
	;***       29 : * Tool-Chain   : CC-RL
	;***       30 : * Description  : This file implements the function of Standby common.
	;***       31 : * Creation Date: 2016/09/14
	;***       32 : *******************************************************************************/
	;***       33 : 
	;***       34 : /*******************************************************************************
	;***       35 : Includes <System Includes> , "Project Includes"
	;***       36 : *******************************************************************************/
	;***       37 : #include "sfr.h"
	;***       38 : #include "common.h"
	;***       39 : #include "config.h"
	;***       40 : #include "standbycommon.h"
	;***       41 : 
	;***       42 : #if defined STANDBY_USED
	;***       43 : /*******************************************************************************
	;***       44 : Macro definitions
	;***       45 : *******************************************************************************/
	;***       46 : 
	;***       47 : /*******************************************************************************
	;***       48 : Typedef definitions
	;***       49 : *******************************************************************************/
	;***       50 : 
	;***       51 : /*******************************************************************************
	;***       52 : Imported global variables and functions (from other files)
	;***       53 : *******************************************************************************/
	;***       54 : 
	;***       55 : /*******************************************************************************
	;***       56 : Exported global variables and functions (to be accessed by other files)
	;***       57 : *******************************************************************************/
	;***       58 : USHORT usDODSR_init;
	;***       59 : USHORT usDODSR_max_init;
	;***       60 : UCHAR  ucDOCR_add_init;
	;***       61 : UCHAR  ucDOCR_sub_init;
	;***       62 : USHORT usDOC_sub_result;
	;***       63 : UCHAR  ucADM2_snooze_off;
	;***       64 : UCHAR  ucADM2_snooze_on;
	;***       65 : USHORT usADC_Result;
	;***       66 : 
	;***       67 : /*******************************************************************************
	;***       68 : Private variables and functions
	;***       69 : *******************************************************************************/
	;***       70 : void switch_flashmode_to_LS( void );
	;***       71 : void switch_flashmode_to_LP( void );
	;***       72 : void change_operation_clock( void );
	;***       73 : 
	;***       74 : UCHAR	ucgTE0;
	;***       75 : USHORT	usgSCR00;
	;***       76 : USHORT	usgSCR01;
	;***       77 : USHORT	usgSCR02;
	;***       78 : USHORT	usgSCR03;
	;***       79 : USHORT	usgMK0;
	;***       80 : USHORT	usgMK1;
	;***       81 : USHORT	usgMK2;
	;***       82 : UCHAR	ucgEGP0;
	;***       83 : UCHAR	ucgEGN0;
	;***       84 : UCHAR	ucgEGP1;
	;***       85 : UCHAR	ucgEGN1;
	;***       86 : 
	;***       87 : /*******************************************************************************
	;***       88 : * Function Name: FLASHMODE_set_rower
	;***       89 : * Description  : switch the flash operation mode.
	;***       90 : * Arguments    : none
	;***       91 : * Return Value : none
	;***       92 : ********************************************************************************/
	;***       93 : void FLASHMODE_set_rower( void )
	;***       94 : {
	;***       95 : 	switch (SYS_FLASHMODE)
	;***       96 : 	{
	;***       97 : 		case FLASHMODE_HS:
	;***       98 : 			switch_flashmode_to_LS();
	;***       99 : 			break;
	;***      100 : 		case FLASHMODE_LS:
	;***      101 : 			switch_flashmode_to_LP();
	br $_switch_flashmode_to_LP
_switch_flashmode_to_LS:
	.STACK _switch_flashmode_to_LS = 4
	;***      102 : 			break;
	;***      103 : 		case FLASHMODE_LV:
	;***      104 : 			change_operation_clock();
	;***      105 : 			break;
	;***      106 : 		default:
	;***      107 : 			break;
	;***      108 : 	}
	;***      109 : }
	;***      110 : 
	;***      111 : /*******************************************************************************
	;***      112 : * Function Name: switch_flashmode_to_LS
	;***      113 : * Description  : switch the flash operation mode.
	;***      114 : * Arguments    : none
	;***      115 : * Return Value : none
	;***      116 : ********************************************************************************/
	;***      117 : void switch_flashmode_to_LS( void )
	;***      118 : {
	;***      119 : 	switch (SYS_CLOCK_SRC)
	;***      120 : 	{
	;***      121 : 		case CLOCK_SRC_HIGHSPEED:
	;***      122 : 			if (HOCODIV < 0x02) {
	cmp !0x00A8, #0x02
	sknc
.BB@LABEL@2_1:	; if_then_bb
	;***      123 : 				/* clock is set to 8MHz or 6MHz. */
	;***      124 : 				HOCODIV = 0x02;
	mov !0x00A8, #0x02
.BB@LABEL@2_2:	; bb29
	call $!__CommonCode@1
	;***      125 : 			}
	;***      126 : 			
	;***      127 : 			break;
	;***      128 : 			
	;***      129 : 		case CLOCK_SRC_MIDDLESPEED:
	;***      130 : 		
	;***      131 : 			/* Clock changing: change to HOCO, and stop MOCO. */
	;***      132 : 			HOCODIV = 0x05;				/* clock is set to 1MHz. */
	;***      133 : 			HIOSTOP = 0;				/* HOCO operation start */
	;***      134 : 			MCM1 = 0;					/* Set fOCO to HOCO. */
	;***      135 : 			while (MCS1 != 0)			/* Wait fOCO to be set to HOCO. */
	;***      136 : 			{
	;***      137 : 				NOP();
	;***      138 : 			}
	;***      139 : 			MIOEN  = 0;					/* MOCO operation stop */
	;***      140 : 			
	;***      141 : 			break;
	;***      142 : 			
	;***      143 : 		case CLOCK_SRC_X1:
	;***      144 : 		case CLOCK_SRC_EXTERNAL:
	;***      145 : 			/* Clock changing: change to HOCO. */
	;***      146 : 			if (SYS_CLOCK_FREQ < 8) {
	;***      147 : 				/* clock is set to 8MHz. */
	;***      148 : 				HOCODIV = 0x02;
	;***      149 : 			} else {
	;***      150 : 				/* clock is set to 1MHz. */
	;***      151 : 				HOCODIV = 0x05;
	;***      152 : 			}
	;***      153 : 			HIOSTOP = 0;
	;***      154 : 			CKC = 0x00;
	;***      155 : 			while (MCS != 0)		/* Wait Main Clock to be set. */
	;***      156 : 			{
	;***      157 : 				NOP();
	;***      158 : 			}
	;***      159 : 			
	;***      160 : 			break;
	;***      161 : 			
	;***      162 : 		default:
	;***      163 : 			break;
	;***      164 : 	}
	;***      165 : 	
	;***      166 : 	/* Regulator Mode is "Normal setting". */
	;***      167 : 	MCSEL = 0;
	;***      168 : 	
	;***      169 : 	/* switch the flash operation mode. */
	;***      170 : 	FLMWEN = 1;
	;***      171 : 	FLMODE = 0xC0;					/* HS mode */
	mov !0x00AA, #0xC0
	;***      172 : 	FLMWEN = 0;
	clr1 [hl].0
	ret
_switch_flashmode_to_LP:
	.STACK _switch_flashmode_to_LP = 4
	;***      173 : 	
	;***      174 : }
	;***      175 : 
	;***      176 : /*******************************************************************************
	;***      177 : * Function Name: switch_flashmode_to_LS
	;***      178 : * Description  : switch the flash operation mode.
	;***      179 : * Arguments    : none
	;***      180 : * Return Value : none
	;***      181 : ********************************************************************************/
	;***      182 : void switch_flashmode_to_LP( void )
	;***      183 : {
	;***      184 : 	
	;***      185 : 	switch (SYS_CLOCK_SRC)
	;***      186 : 	{
	;***      187 : 		case CLOCK_SRC_HIGHSPEED:
	;***      188 : 			
	;***      189 : 			if (SYS_CLOCK_FREQ == 6 || SYS_CLOCK_FREQ == 3) {
	;***      190 : 				/* clock is set to 3MHz. */
	;***      191 : 				HOCODIV = 0x03;
	;***      192 : 				/* LP mode can't be used. */
	;***      193 : 				return;
	;***      194 : 				
	;***      195 : 			} else {
	;***      196 : 				/* clock is set to 1MHz. */
	;***      197 : 				HOCODIV = 0x05;
	mov !0x00A8, #0x05
	call $!__CommonCode@1
	;***      198 : 			}
	;***      199 : 			
	;***      200 : 			break;
	;***      201 : 			
	;***      202 : 		case CLOCK_SRC_MIDDLESPEED:
	;***      203 : 		
	;***      204 : 			/* Clock changing: change to HOCO, and stop MOCO. */
	;***      205 : 			HOCODIV = 0x05;				/* clock is set to 1MHz. */
	;***      206 : 			HIOSTOP = 0;				/* HOCO operation start */
	;***      207 : 			MCM1 = 0;					/* Set fOCO to HOCO. */
	;***      208 : 			while (MCS1 != 0)			/* Wait fOCO to be set to HOCO. */
	;***      209 : 			{
	;***      210 : 				NOP();
	;***      211 : 			}
	;***      212 : 			MIOEN  = 0;					/* MOCO operation stop */
	;***      213 : 			
	;***      214 : 			break;
	;***      215 : 			
	;***      216 : 		case CLOCK_SRC_X1:
	;***      217 : 		case CLOCK_SRC_EXTERNAL:
	;***      218 : 			/* Clock changing: change to HOCO. */
	;***      219 : 			/* clock is set to 1MHz. */
	;***      220 : 			HOCODIV = 0x05;
	;***      221 : 			HIOSTOP = 0;
	;***      222 : 			MCM0 = 0;
	;***      223 : 			while (MCS != 0)		/* Wait Main Clock to be set. */
	;***      224 : 			{
	;***      225 : 				NOP();
	;***      226 : 			}
	;***      227 : 			
	;***      228 : 			break;
	;***      229 : 			
	;***      230 : 		default:
	;***      231 : 			break;
	;***      232 : 	}
	;***      233 : 	
	;***      234 : 	/* Regulator Mode is "Normal setting" for the meantime. */
	;***      235 : 	MCSEL = 0;
	;***      236 : 
	;***      237 : 	/* switch the flash operation mode. */
	;***      238 : 	FLMWEN = 1;
	;***      239 : 	FLMODE = 0x40;				/* LP mode */
	mov !0x00AA, #0x40
	;***      240 : 	FLMWEN = 0;
	clr1 [hl].0
	movw hl, ax
	;***      241 : 
	;***      242 : 	/* Regulator Mode is "Low-power consumption setting" as the original target. */
	;***      243 : 	MCSEL = 1;
	set1 [hl].6
	ret
_change_operation_clock:
	.STACK _change_operation_clock = 4
	;***      244 : }
	;***      245 : 
	;***      246 : /*******************************************************************************
	;***      247 : * Function Name: change_operation_clock
	;***      248 : * Description  : Operation clock change.
	;***      249 : * Arguments    : none
	;***      250 : * Return Value : none
	;***      251 : ********************************************************************************/
	;***      252 : void change_operation_clock( void )
	;***      253 : {
	;***      254 : 	
	;***      255 : 	switch (SYS_CLOCK_SRC)
	;***      256 : 	{
	;***      257 : 		case CLOCK_SRC_HIGHSPEED:
	;***      258 : 			
	;***      259 : 			if ( SYS_CLOCK_FREQ != 3 )
	;***      260 : 			{
	;***      261 : 				/* clock is set to 1MHz. */
	;***      262 : 				HOCODIV = 0x05;
	mov !0x00A8, #0x05
	ret
_FLASHMODE_return_beginning:
	.STACK _FLASHMODE_return_beginning = 4
	;***      263 : 			}
	;***      264 : 			
	;***      265 : 			break;
	;***      266 : 			
	;***      267 : 		case CLOCK_SRC_MIDDLESPEED:
	;***      268 : 		
	;***      269 : 			/* Clock changing: change to HOCO, and stop MOCO. */
	;***      270 : 			HOCODIV = 0x05;				/* clock is set to 1MHz. */
	;***      271 : 			HIOSTOP = 0;				/* HOCO operation start */
	;***      272 : 			MCM1 = 0;					/* Set fOCO to HOCO. */
	;***      273 : 			while (MCS1 != 0)			/* Wait fOCO to be set to HOCO. */
	;***      274 : 			{
	;***      275 : 				NOP();
	;***      276 : 			}
	;***      277 : 			MIOEN  = 0;					/* MOCO operation stop */
	;***      278 : 			
	;***      279 : 			break;
	;***      280 : 			
	;***      281 : 		case CLOCK_SRC_X1:
	;***      282 : 		case CLOCK_SRC_EXTERNAL:
	;***      283 : 			
	;***      284 : 			/* Clock changing: change to HOCO. */
	;***      285 : 			HOCODIV = 0x05;			/* clock is set to 1MHz. */
	;***      286 : 			HIOSTOP = 0;
	;***      287 : 			CKC = 0x00;
	;***      288 : 			while (MCS != 0)		/* Wait Main Clock to be set. */
	;***      289 : 			{
	;***      290 : 				NOP();
	;***      291 : 			}
	;***      292 : 			
	;***      293 : 			break;
	;***      294 : 			
	;***      295 : 		default:
	;***      296 : 			break;
	;***      297 : 	}
	;***      298 : }
	;***      299 : 
	;***      300 : /*******************************************************************************
	;***      301 : * Function Name: FLASHMODE_return_beginning
	;***      302 : * Description  : Flash Mode return it to the beginning.
	;***      303 : * Arguments    : none
	;***      304 : * Return Value : none
	;***      305 : ********************************************************************************/
	;***      306 : void FLASHMODE_return_beginning( void )
	call $!__CommonCode@1
	;***      307 : {
	;***      308 : 	/* Regulator Mode is "Normal setting" for the meantime. */
	;***      309 : 	MCSEL = 0;
	;***      310 : 	
	;***      311 : 	/* switch the flash operation mode. */
	;***      312 : 	switch (SYS_FLASHMODE)
	;***      313 : 	{
	;***      314 : 		case FLASHMODE_HS:
	;***      315 : 			
	;***      316 : 			FLMWEN = 1;
	;***      317 : 			FLMODE = 0xC0;		/* HS mode */
	;***      318 : 			FLMWEN = 0;
	;***      319 : 			
	;***      320 : 			break;
	;***      321 : 			
	;***      322 : 		case FLASHMODE_LS:
	;***      323 : 			
	;***      324 : 			FLMWEN = 1;
	;***      325 : 			FLMODE = 0x80;		/* LS mode */
	mov !0x00AA, #0x80
	;***      326 : 			FLMWEN = 0;
	clr1 [hl].0
	;***      327 : 			
	;***      328 : 			break;
	;***      329 : 			
	;***      330 : 		case FLASHMODE_LV:
	;***      331 : 			
	;***      332 : 			FLMWEN = 1;
	;***      333 : 			FLMODE = 0x00;		/* LV mode */
	;***      334 : 			FLMWEN = 0;
	;***      335 : 			
	;***      336 : 			break;
	;***      337 : 			
	;***      338 : 		default:
	;***      339 : 			break;
	;***      340 : 		
	;***      341 : 	}
	;***      342 : 	
	;***      343 : 	/* Clock changing */
	;***      344 : 	switch (SYS_CLOCK_SRC)
	;***      345 : 	{
	;***      346 : 		case CLOCK_SRC_HIGHSPEED:
	;***      347 : 			
	;***      348 : 			switch (SYS_CLOCK_FREQ)
	;***      349 : 			{
	;***      350 : 				case 24:
	;***      351 : 					/* clock is set to 24MHz. */
	;***      352 : 					HOCODIV = 0x00;
	;***      353 : 					
	;***      354 : 					break;
	;***      355 : 					
	;***      356 : 				case 16:
	;***      357 : 				case 12:
	;***      358 : 					/* clock is set to 16MHz or 12MHz. */
	;***      359 : 					HOCODIV = 0x01;
	;***      360 : 					
	;***      361 : 					break;
	;***      362 : 					
	;***      363 : 				case 8:
	;***      364 : 				case 6:
	;***      365 : 					/* clock is set to 8MHz or 6MHz. */
	;***      366 : 					HOCODIV = 0x02;
	mov !0x00A8, #0x02
	ret
_standby_before_state_save:
	.STACK _standby_before_state_save = 8
	;***      367 : 					
	;***      368 : 					break;
	;***      369 : 					
	;***      370 : 				case 4:
	;***      371 : 				case 3:
	;***      372 : 					/* clock is set to 4MHz or 3MHz. */
	;***      373 : 					HOCODIV = 0x03;
	;***      374 : 					
	;***      375 : 					break;
	;***      376 : 					
	;***      377 : 				case 2:
	;***      378 : 					/* clock is set to 2MHz */
	;***      379 : 					HOCODIV = 0x04;
	;***      380 : 					
	;***      381 : 					break;
	;***      382 : 					
	;***      383 : 				case 1:
	;***      384 : 					/* clock is set to 1MHz. */
	;***      385 : 					HOCODIV = 0x05;
	;***      386 : 					
	;***      387 : 					break;
	;***      388 : 					
	;***      389 : 				default:
	;***      390 : 					break;
	;***      391 : 			}
	;***      392 : 			
	;***      393 : 			break;
	;***      394 : 			
	;***      395 : 		case CLOCK_SRC_MIDDLESPEED:
	;***      396 : 			
	;***      397 : 			switch (SYS_CLOCK_FREQ)
	;***      398 : 			{
	;***      399 : 				case 4:
	;***      400 : 					/* clock is set to 4MHz. */
	;***      401 : 					MOCODIV = 0x00;
	;***      402 : 					
	;***      403 : 					break;
	;***      404 : 					
	;***      405 : 				case 2:
	;***      406 : 					/* clock is set to 2MHz. */
	;***      407 : 					MOCODIV = 0x01;
	;***      408 : 					
	;***      409 : 					break;
	;***      410 : 					
	;***      411 : 				case 1:
	;***      412 : 					/* clock is set to 1MHz. */
	;***      413 : 					MOCODIV = 0x02;
	;***      414 : 					
	;***      415 : 					break;
	;***      416 : 					
	;***      417 : 				default:
	;***      418 : 					break;
	;***      419 : 			}
	;***      420 : 			
	;***      421 : 			/* Clock changing: change to MOCO. */
	;***      422 : 			MIOEN = 1;					/* MOCO operation start */
	;***      423 : 			MCM1 = 1;					/* Set fOCO to MOCO. */
	;***      424 : 			while (MCS1 != 1)			/* Wait fOCO to be set to MOCO. */
	;***      425 : 			{
	;***      426 : 				NOP();
	;***      427 : 			}
	;***      428 : 			HIOSTOP  = 1;				/* HOCO operation stop */
	;***      429 : 			
	;***      430 : 			break;
	;***      431 : 			
	;***      432 : 		case CLOCK_SRC_X1:
	;***      433 : 		case CLOCK_SRC_EXTERNAL:
	;***      434 : 			
	;***      435 : 			if ( SYS_CLOCK_SRC == CLOCK_SRC_X1 ) {
	;***      436 : 				while(OSTC != 0xFF)
	;***      437 : 				{
	;***      438 : 					NOP();
	;***      439 : 				}
	;***      440 : 			}
	;***      441 : 			MCM0 = 1;
	;***      442 : 			while (MCS != 1)		/* Wait Main Clock to be set. */
	;***      443 : 			{
	;***      444 : 				NOP();
	;***      445 : 			}
	;***      446 : 			HIOSTOP  = 1;			/* HOCO operation stop */
	;***      447 : 			
	;***      448 : 			break;
	;***      449 : 			
	;***      450 : 		default:
	;***      451 : 			break;
	;***      452 : 	}
	;***      453 : 	
	;***      454 : }
	;***      455 : 
	;***      456 : /*******************************************************************************
	;***      457 : * Function Name: standby_before_state_save
	;***      458 : * Description  : State save before a standby.
	;***      459 : * Arguments    : none
	;***      460 : * Return Value : none
	;***      461 : ********************************************************************************/
	;***      462 : void standby_before_state_save( void )
	subw sp, #0x04
	movw de, #0x0118
	;***      463 : {
	;***      464 : #ifdef ELC_USED
	;***      465 : 	volatile UCHAR * addr;
	;***      466 : 	USHORT  count;
	;***      467 : #endif
	;***      468 : 	
	;***      469 : 	/* Timer STOP */
	;***      470 : 	ucgTE0 = TE0;									/* Timer STATUS */
	movw ax, [de+0x98]
	movw bc, ax
	mov a, x
	mov !LOWW(_ucgTE0), a
	movw ax, bc
	;***      471 : 	TT0 = ucgTE0;									/* Timer STOP */
	clrb a
	movw [de+0x9C], ax
	;***      472 : 	
	;***      473 : 	/* Serial STOP */
	;***      474 : 	usgSCR00 = SCR00 & 0xC000;						/* Serial CH0 STATUS(TXE00, RXE00) */
	movw ax, [de]
	clrb x
	and a, #0xC0
	movw [sp+0x00], ax
	movw !LOWW(_usgSCR00), ax
	;***      475 : 	usgSCR01 = SCR01 & 0xC000;						/* Serial CH1 STATUS(TXE01, RXE01) */
	movw ax, [de+0x02]
	clrb x
	and a, #0xC0
	movw bc, ax
	movw !LOWW(_usgSCR01), ax
	;***      476 : 	usgSCR02 = SCR02 & 0xC000;						/* Serial CH1 STATUS(TXE02, RXE02) */
	movw ax, [de+0x04]
	clrb x
	and a, #0xC0
	movw hl, ax
	movw !LOWW(_usgSCR02), ax
	;***      477 : 	usgSCR03 = SCR03 & 0xC000;						/* Serial CH1 STATUS(TXE03, RXE03) */
	movw ax, [de+0x06]
	clrb x
	and a, #0xC0
	movw [sp+0x02], ax
	movw !LOWW(_usgSCR03), ax
	movw ax, [sp+0x00]
	;***      478 : 	if ( usgSCR00 != 0x0000 )
	or a, x
	bz $.BB@LABEL@6_2
.BB@LABEL@6_1:	; if_then_bb
	;***      479 : 	{
	;***      480 : 		SCR00 &= 0x3FFF;							/* Serial CH0 STOP(TXE00=0,RXE00=0) */
	movw ax, [de]
	and a, #0x3F
	movw [de], ax
.BB@LABEL@6_2:	; if_break_bb
	movw ax, bc
	;***      481 : 	}
	;***      482 : 	if ( usgSCR01 != 0x0000 )
	or a, x
	bz $.BB@LABEL@6_4
.BB@LABEL@6_3:	; if_then_bb21
	movw de, #0x011A
	;***      483 : 	{
	;***      484 : 		SCR01 &= 0x3FFF;							/* Serial CH1 STOP(TXE01=0,RXE01=0) */
	movw ax, [de]
	and a, #0x3F
	movw [de], ax
.BB@LABEL@6_4:	; if_break_bb25
	movw ax, hl
	;***      485 : 	}
	;***      486 : 	if ( usgSCR02 != 0x0000 )
	or a, x
	bz $.BB@LABEL@6_6
.BB@LABEL@6_5:	; if_then_bb30
	movw de, #0x011C
	;***      487 : 	{
	;***      488 : 		SCR02 &= 0x3FFF;							/* Serial CH2 STOP(TXE02=0,RXE02=0) */
	movw ax, [de]
	and a, #0x3F
	movw [de], ax
.BB@LABEL@6_6:	; if_break_bb33
	movw ax, [sp+0x02]
	;***      489 : 	}
	;***      490 : 	if ( usgSCR03 != 0x0000 )
	or a, x
	bz $.BB@LABEL@6_8
.BB@LABEL@6_7:	; if_then_bb38
	movw de, #0x011E
	;***      491 : 	{
	;***      492 : 		SCR03 &= 0x3FFF;							/* Serial CH3 STOP(TXE03=0,RXE03=0) */
	movw ax, [de]
	and a, #0x3F
	movw [de], ax
.BB@LABEL@6_8:	; if_break_bb41
	movw hl, #0x00F1
	movw ax, hl
	;***      493 : 	}
	;***      494 : 	
	;***      495 : #ifdef ANI3_USED
	;***      496 : 	ADCRES = 1;		/* reset A/D converter */
	set1 [hl].5
	;***      497 : 	ADCRES = 0;		/* reset release of A/D converter */
	clr1 [hl].5
	;***      498 : 	
	;***      499 : 	CMPRES = 1;		/* reset Comparator */
	;***      500 : 	CMPRES = 0;		/* reset release of Comparator */
	;***      501 : 	
	;***      502 : 	DACRES = 1;		/* reset D/A converter */
	;***      503 : 	DACRES = 0;		/* reset release of D/A converter */
	addw ax, #0x000A
	movw hl, ax
	set1 [hl].5
	clr1 [hl].5
	set1 [hl].7
	clr1 [hl].7
	;***      504 : #endif
	;***      505 : 	
	;***      506 : 
	;***      507 : #ifdef DTC_USED
	;***      508 : 	/* disable DTC module */
	;***      509 : 	DTCEN0 = 0x00;
	;***      510 : 	DTCEN1 = 0x00;
	;***      511 : 	DTCEN2 = 0x00;
	;***      512 : #endif
	;***      513 : 
	;***      514 : #ifdef ELC_USED
	;***      515 : 	/* Clear ELC module */
	;***      516 : 	addr = &ELSELR00;
	;***      517 : 	
	;***      518 : 	for (count = 0U; count < ELC_DESTINATION_COUNT; count++)
	;***      519 : 	{
	;***      520 : 		*addr = ELC_EVENT_LINK_OFF;
	;***      521 : 		addr++;
	;***      522 : 	}
	;***      523 : #endif
	;***      524 : 	
	;***      525 : 	/* External interrupt disable */
	;***      526 : 	ucgEGP0 = EGP0;
	mov a, 0xFFF38
	mov !LOWW(_ucgEGP0), a
	;***      527 : 	ucgEGN0 = EGN0;
	mov a, 0xFFF39
	mov !LOWW(_ucgEGN0), a
	;***      528 : 	EGP0 = 0x00;
	clrb !0xFF38
	;***      529 : 	EGN0 = 0x00;
	clrb !0xFF39
	;***      530 : 	ucgEGP1 = EGP1;
	mov a, 0xFFF3A
	mov !LOWW(_ucgEGP1), a
	;***      531 : 	ucgEGN1 = EGN1;
	mov a, 0xFFF3B
	mov !LOWW(_ucgEGN1), a
	;***      532 : 	EGP1 = 0x00;
	clrb !0xFF3A
	;***      533 : 	EGN1 = 0x00;
	clrb !0xFF3B
	;***      534 : 	
	;***      535 : 	/* All individual interrupt is save and prohibited	*/
	;***      536 : 	usgMK0 = MK0;
	movw ax, 0xFFFE4
	movw !LOWW(_usgMK0), ax
	;***      537 : 	usgMK1 = MK1;
	movw ax, 0xFFFE6
	movw !LOWW(_usgMK1), ax
	;***      538 : 	usgMK2 = MK2;
	movw ax, 0xFFFD4
	movw !LOWW(_usgMK2), ax
	;***      539 : 	MK0 = 0xFFFF;
	movw 0xFFFE4, #0xFFFF
	;***      540 : 	IF0 = 0x0000;
	movw 0xFFFE0, #0x0000
	;***      541 : 	MK1 = 0xFFFF;
	movw 0xFFFE6, #0xFFFF
	;***      542 : 	IF1 = 0x0000;
	movw 0xFFFE2, #0x0000
	;***      543 : 	MK2 = 0xFFFF;
	movw 0xFFFD4, #0xFFFF
	;***      544 : 	IF2 = 0x0000;
	movw 0xFFFD0, #0x0000
	addw sp, #0x04
	ret
_standby_after_state_return:
	.STACK _standby_after_state_return = 4
	;***      545 : }
	;***      546 : 
	;***      547 : /*******************************************************************************
	;***      548 : * Function Name: standby_before_state_save
	;***      549 : * Description  : State return after a standby.
	;***      550 : * Arguments    : none
	;***      551 : * Return Value : none
	;***      552 : ********************************************************************************/
	;***      553 : void standby_after_state_return( void )
	;***      554 : {
	;***      555 : 	/* Timer START */
	;***      556 : 	TS0 |= ucgTE0;									/* Timer START */
	mov a, !LOWW(_ucgTE0)
	shrw ax, 8+0x00000
	movw de, #0x01B2
	call $!__CommonCode@0
	;***      557 : 	
	;***      558 : 	/* Serial START */
	;***      559 : 	if( usgSCR00 != 0x0000 )
	movw ax, !LOWW(_usgSCR00)
	cmpw ax, #0x0000
	bz $.BB@LABEL@7_2
.BB@LABEL@7_1:	; if_then_bb
	movw de, #0x0118
	call $!__CommonCode@0
.BB@LABEL@7_2:	; if_break_bb
	;***      560 : 	{
	;***      561 : 		SCR00 |= usgSCR00;							/* Serial CH0 return */
	;***      562 : 	}
	;***      563 : 	if( usgSCR01 != 0x0000 )
	movw ax, !LOWW(_usgSCR01)
	cmpw ax, #0x0000
	bz $.BB@LABEL@7_4
.BB@LABEL@7_3:	; if_then_bb14
	movw de, #0x011A
	call $!__CommonCode@0
.BB@LABEL@7_4:	; if_break_bb18
	;***      564 : 	{
	;***      565 : 		SCR01 |= usgSCR01;							/* Serial CH1 return */
	;***      566 : 	}
	;***      567 : 	if( usgSCR02 != 0x0000 )
	movw ax, !LOWW(_usgSCR02)
	cmpw ax, #0x0000
	bz $.BB@LABEL@7_6
.BB@LABEL@7_5:	; if_then_bb23
	movw de, #0x011C
	call $!__CommonCode@0
.BB@LABEL@7_6:	; if_break_bb27
	;***      568 : 	{
	;***      569 : 		SCR02 |= usgSCR02;							/* Serial CH2 return */
	;***      570 : 	}
	;***      571 : 	if( usgSCR03 != 0x0000 )
	movw ax, !LOWW(_usgSCR03)
	cmpw ax, #0x0000
	bz $.BB@LABEL@7_8
.BB@LABEL@7_7:	; if_then_bb32
	movw de, #0x011E
	call $!__CommonCode@0
.BB@LABEL@7_8:	; if_break_bb36
	;***      572 : 	{
	;***      573 : 		SCR03 |= usgSCR03;							/* Serial CH3 return */
	;***      574 : 	}
	;***      575 : 	
	;***      576 : 	/* External interrupt enable */
	;***      577 : 	EGP0 = ucgEGP0;
	mov a, !LOWW(_ucgEGP0)
	mov 0xFFF38, a
	;***      578 : 	EGN0 = ucgEGN0;
	mov a, !LOWW(_ucgEGN0)
	mov 0xFFF39, a
	;***      579 : 	EGP1 = ucgEGP1;
	mov a, !LOWW(_ucgEGP1)
	mov 0xFFF3A, a
	;***      580 : 	EGN1 = ucgEGN1;
	mov a, !LOWW(_ucgEGN1)
	mov 0xFFF3B, a
	;***      581 : 	
	;***      582 : 	/* individual interrupt is return */
	;***      583 : 	MK0 = usgMK0;
	movw ax, !LOWW(_usgMK0)
	movw 0xFFFE4, ax
	;***      584 : 	IF0 = 0x0000;
	movw 0xFFFE0, #0x0000
	;***      585 : 	MK1 = usgMK1;
	movw ax, !LOWW(_usgMK1)
	movw 0xFFFE6, ax
	;***      586 : 	IF1 = 0x0000;
	movw 0xFFFE2, #0x0000
	;***      587 : 	MK2 = usgMK2;
	movw ax, !LOWW(_usgMK2)
	movw 0xFFFD4, ax
	;***      588 : 	IF2 = 0x0000;
	movw 0xFFFD0, #0x0000
	ret
__CommonCode@0:
	.STACK __CommonCode@0 = 4
	movw bc, ax
	movw ax, [de]
	or a, b
	xch a, x
	or a, c
	xch a, x
	movw [de], ax
	ret
__CommonCode@1:
	.STACK __CommonCode@1 = 4
	movw ax, #0x00AB
	addw ax, #0x004D
	movw hl, ax
	clr1 [hl].6
	movw hl, #0x00AB
	set1 [hl].0
	ret
	;***      589 : }
	;***      590 : #endif /* end of defined STANDBY_USED */
	.SECTION .bss,BSS
	.ALIGN 2
_usDODSR_init:
	.DS (2)
	.ALIGN 2
_usDODSR_max_init:
	.DS (2)
_ucDOCR_add_init:
	.DS (1)
_ucDOCR_sub_init:
	.DS (1)
	.ALIGN 2
_usDOC_sub_result:
	.DS (2)
_ucADM2_snooze_off:
	.DS (1)
_ucADM2_snooze_on:
	.DS (1)
	.ALIGN 2
_usADC_Result:
	.DS (2)
_ucgTE0:
	.DS (1)
	.ALIGN 2
_usgSCR00:
	.DS (2)
	.ALIGN 2
_usgSCR01:
	.DS (2)
	.ALIGN 2
_usgSCR02:
	.DS (2)
	.ALIGN 2
_usgSCR03:
	.DS (2)
	.ALIGN 2
_usgMK0:
	.DS (2)
	.ALIGN 2
_usgMK1:
	.DS (2)
	.ALIGN 2
_usgMK2:
	.DS (2)
_ucgEGP0:
	.DS (1)
_ucgEGN0:
	.DS (1)
_ucgEGP1:
	.DS (1)
_ucgEGN1:
	.DS (1)
